<!-- <app-layout-navbar></app-layout-navbar> -->

<!-- <view-search></view-search> -->


<!-- <div style="background-image:url(assets/img/bg/21.jpg);" [style.width.px]="innerWidth" [style.height.px]="innerHeight"> -->
<div style="background-image:url(assets/img/search/BG2.png);background-size: cover;" [style.width.px]="innerWidth"
  [style.height.px]="innerHeight">
  <div style="position: absolute;right:20px" class="text-right">
    <!-- <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle tooltip-custom-position">
        <i placement="bottom" ngbTooltip="See recent notifications & manage alerts"
          class="ion-ios-notifications navbar-icon align-middle nav-status-icons  "></i>
      </span> -->
    <div dropdown [autoClose]="true" class="demo-navbar-user nav-item btn-group view-desktop">
      <a dropdownToggle class="nav-link dropdown-toggle dropdown-link dropdown-item" href="javascript:void(0)">
        <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
          <i class="ion-md-person navbar-icon align-middle"></i>
          <a href="javascript:void(0)" class="dropdown-item" *ngIf="!deviceDetectorService.isMobile() && !deviceDetectorService.isTablet()"> <span
              class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material"><b>{{userName}}</b></span></a>
        </span>
      </a>
      <div *dropdownMenu class="dropdown-menu profileMenu cust-dropdown-menu dropdown-behaviour" role="menu">

        <a href="javascript:void(0)" class="dropdown-item" (click)="userProfile()">
          <i class="fa fa-user" aria-hidden="true"></i>
          &nbsp; User Profile</a>
        <a *ngIf="user_cre &&  !deviceDetectorService.isMobile() && !deviceDetectorService.isTablet() " href="javascript:void(0)" class="dropdown-item" (click)="adminPanel()"><i
            class="ion ion-ios-settings" aria-hidden="true"></i> &nbsp; Admin Panel</a>
        <!-- <a href="javascript:void(0)" class="dropdown-item" (click)="changePassword()"><i class="fa fa-unlock"
            aria-hidden="true"></i> &nbsp; Change Password</a> -->
        <a href="javascript:void(0)" class="dropdown-item" (click)="logout()">
          <i class="fa fa-power-off" aria-hidden="true"></i>
          &nbsp; Log Out</a>
      </div>

    </div>
  </div>
  <div class="container d-flex align-items-center ui-mh-100vh text-white text-center">
    <div class="HXsearchPanel modalsm">
      <!-- <div class="home-logo"><img src="assets\img\hx_demo.png">
        <h3><b>HYPER</b>SONIX</h3>
      </div> -->
      <div class="logo"><img height="50" src="assets/imgs/hxlogo/logo.png" /></div>
      <h2 > Ask for <span style="color: #433cbc">any data</span> here</h2>
      <!-- <h1>Hello, I'm Hypersonix</h1>
                  <p>AI-assistant for a congnitive enterprise</p> -->
      <!-- <div class="HXsearch"><input type="text" placeholder="Search Here"><i class="fa fa-microphone fa-lg"></i></div> -->
      <!-- <div class="HXsearch"> -->
      <view-search [ismic]="false"></view-search>
      <!-- <app-search-bar *ngIf="servicedata" (callback)="callBack($event)" [metaData]="servicedata"> -->
      <!-- </app-search-bar> -->
      <!-- </div> -->
      <ul class="navMenu">
        <li *ngIf="!deviceDetectorService.isMobile() && !deviceDetectorService.isTablet() && datamanager.isChatBot"><a (click)="gotohome('/chat')"><span><img 
                src="assets/img/search/iconChatbot.png" /></span><label>Chatbot</label></a></li>
        <li><a (click)="gotohome('/dashboards/home')"><span><img 
                src="assets/img/search/iconDoc.png" /></span><label>Documents</label></a></li>
        <li><a (click)="gotohome('/dashboards/dashboard')"><span><img 
                src="assets/img/search/iconDash.png" /></span><label>Dashboard</label></a></li>
        <li *ngIf="!deviceDetectorService.isMobile() && !deviceDetectorService.isTablet() && datamanager.showInsights"><a (click)="gotohome('/insights/marketbasket')"><span><img 
                src="assets/img/search/iconInsights.png" /></span><label>Insights</label></a></li>
        <!-- <li><a (click)="gotohome('/pages/notifications')"><span><img height="28"
                src="assets/img/search/iconNotify.png" /></span><label>Notification</label></a></li> -->
        <li><a (click)="gotohome('/pages/alerts')"><span><img 
                src="assets/img/search/iconAlert.png" /></span><label>Alert</label></a></li>
      </ul>
    </div>

  </div>
</div>

<div class="router-transitions">
  <router-outlet></router-outlet>
</div>

<style>
  body {
    margin: 0;
    padding: 0;
    background: #f8f8f8 url('assets/img/search/BG.jpg') center top;
    background-size: cover;
  }

  .modalsm {
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
  }
  
  .HXsearchPanel h1 {
    font-size: 42px;
    margin: 0px;
    padding: 0px;
  }

  .HXsearchPanel p {
    font-size: 18px;
  }

  .HXsearch {
    display: flex;
    align-items: center;
    background: #fff;
    margin-top: 20px;
    padding: 10px 10px;
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25);
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25);
    border: 0;
    border-radius: 3px;
    width: calc(100vw - 400px);
  }

  .HXsearch input {
    width: 100%;
    font-size: 18px;
    line-height: 32px;
    padding: 0 10px;
    border: 0;
    outline: none;
  }



  ul.navMenu li {
    display: flex;
    flex-direction: column;
    margin: 8px;
    text-align: center;
  }

  ul.navMenu li a {
    text-decoration: none;
    color: #000;
    cursor: pointer;
    font-size: 12px;
    font-weight: bold;
  }

  ul.navMenu li a:hover {
    color: #433cbc;
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
  }



  ul.navMenu li span:hover {
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
  }

  /* ul.navMenu li span img {-webkit-transform: scale(1); transform: scale(1); -webkit-transition: all .2s ease-in-out; transition: all .2s ease-in-out;} */
  ul.navMenu li label {
    cursor: pointer;
    display: inherit;
    margin-top: 10px;
  }
</style>